﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace HyperlinkColumnBindCommand116206
{
    class Data : ObservableCollection<DataItem>
    {
        public Data()
        {
            for(int i = 0; i < 9; i++)
                this.Add(new DataItem(){ID = i, name = "item" + i.ToString(), 
                    dateOfAcquisition = DateTime.Now.AddDays(i)});
        }
    }

    class DataItem
    {
        public int ID { get; set; }
        public string name { get; set; }
        public DateTime dateOfAcquisition { get; set; }
    }
}
