﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;
using System.Collections.ObjectModel;
using System.Windows;

namespace HyperlinkColumnBindCommand116206
{
    class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<DataItem> _Data{ get; set; }
        private ICommand _HyperlinkButtonClicked;

        public ViewModel()
        {
            this._Data = new Data();
        }

        public ICommand HyperlinkButtonClicked
        {
            get
            {
                if (_HyperlinkButtonClicked == null)
                {
                    _HyperlinkButtonClicked = new RelayCommand(
                        param => ShowMessageBox());
                }

                return _HyperlinkButtonClicked;
            }
        }

        void ShowMessageBox()
        {
            MessageBox.Show("item clicked");
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
